import request from '@/utils/request'

// 查询润滑工单实例节点列表
export function listDmsBillsLubeInstanceActivity(query) {
  return request({
    url: '/dms/dmsBillsLubeInstanceActivity/list',
    method: 'get',
    params: query
  })
}

// 查询润滑工单实例节点详细
export function getDmsBillsLubeInstanceActivity(instanceActivityId) {
  return request({
    url: '/dms/dmsBillsLubeInstanceActivity/' + instanceActivityId,
    method: 'get'
  })
}

// 新增润滑工单实例节点
export function addDmsBillsLubeInstanceActivity(data) {
  return request({
    url: '/dms/dmsBillsLubeInstanceActivity',
    method: 'post',
    data: data
  })
}

// 修改润滑工单实例节点
export function updateDmsBillsLubeInstanceActivity(data) {
  return request({
    url: '/dms/dmsBillsLubeInstanceActivity',
    method: 'put',
    data: data
  })
}

// 删除润滑工单实例节点
export function delDmsBillsLubeInstanceActivity(instanceActivityId) {
  return request({
    url: '/dms/dmsBillsLubeInstanceActivity/' + instanceActivityId,
    method: 'delete'
  })
}
//通过instanceActivityId查询用户id
export function selectUserIdByDmsBillsLubeInstanceActivityId(instanceActivityId,userId) {
  return request({
    url:`/dms/dmsBillsLubeInstanceActivity/selectUserIdByDmsBillsLubeInstanceActivityId/${instanceActivityId}/userId/${userId}`,
    method:'get'
  })
}
